unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ppRelatv, ppProd, ppClass, ppReport, ppComm, ppEndUsr, StdCtrls;

type
  TForm1 = class(TForm)
    ppDesigner1: TppDesigner;
    ppReport1: TppReport;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    procedure ehTemplate_New(Sender: TObject);
    procedure ehTemplate_LoadEnd(Sender: TObject);
    procedure InitializeReport(aReport: TppReport);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin

  // initialize report properties
  InitializeReport(ppReport1);

  // assign template event-handlers
  ppReport1.Template.OnNew := ehTemplate_New;
  ppReport1.Template.OnLoadEnd := ehTemplate_LoadEnd;


  ppDesigner1.ShowModal;

end;

procedure TForm1.ehTemplate_LoadEnd(Sender: TObject);
begin
  InitializeReport(ppReport1);

end;

procedure TForm1.ehTemplate_New(Sender: TObject);
begin
  InitializeReport(ppReport1);

end;

procedure TForm1.InitializeReport(aReport: TppReport);
begin

  // initialize report properties
  aReport.SaveAsTemplate := True;
  aReport.AllowPrintToFile := True;
  aReport.EmailSettings.Enabled := True;
  aReport.PreviewFormSettings.WindowState := wsMaximized;

end;

end.
